<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: Adi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once '../../maincore.php';
require_once THEMES . 'templates/admin_header.php';

pageAccess('UWWW');
$locale = fusion_get_locale('', UWWW_LOCALE);
$settings = get_settings('anniversary_panel');

add_to_title($locale['anniversary_title']);

add_breadcrumb(['link' => INFUSIONS . 'anniversary_panel/admin.php' . fusion_get_aidlink(), 'title' => $locale['anniversary_title']]);

if (isset($_POST['save_settings'])) {
	$settings = [
		'color_tableu' 		 => form_sanitizer($_POST['color_tableu'], '', 'color_tableu'),
		'bordercolor_tableu' => form_sanitizer($_POST['bordercolor_tableu'], '', 'bordercolor_tableu'),
		'border_tableu' 	 => form_sanitizer($_POST['border_tableu'], '', 'border_tableu'),
		'color_dzienu' 		 => form_sanitizer($_POST['color_dzienu'], '', 'color_dzienu'),
		'color_textu' 		 => form_sanitizer($_POST['color_textu'], '', 'color_textu'),
		'color_textucd' 	 => form_sanitizer($_POST['color_textucd'], '', 'color_textucd'),
		'color_textuna' 	 => form_sanitizer($_POST['color_textuna'], '', 'color_textuna'),
		'tresc_textuna' 	 => form_sanitizer($_POST['tresc_textuna'], '', 'tresc_textuna'),
		'tresc_textu1' 		 => form_sanitizer($_POST['tresc_textu1'], '', 'tresc_textu1'),
		'tresc_textu2' 		 => form_sanitizer($_POST['tresc_textu2'], '', 'tresc_textu2'),
		'size_dzienu' 		 => form_sanitizer($_POST['size_dzienu'], '', 'size_dzienu'),
		'size_textu' 		 => form_sanitizer($_POST['size_textu'], '', 'size_textu'),
		'size_textucd' 		 => form_sanitizer($_POST['size_textucd'], '', 'size_textucd'),
		'size_textuna' 		 => form_sanitizer($_POST['size_textuna'], '', 'size_textuna'),
		'size_tort' 		 => form_sanitizer($_POST['size_tort'], '', 'size_tort'),
		'datau_rok' 		 => form_sanitizer($_POST['datau_rok'], '', 'datau_rok'),
		'datau_miesiac' 	 => form_sanitizer($_POST['datau_miesiac'], '', 'datau_miesiac'),
		'datau_dzien' 		 => form_sanitizer($_POST['datau_dzien'], '', 'datau_dzien')
	];

	if (\defender::safe()) {
		foreach ($settings as $settings_name => $settings_value) {
			$db = [
				'settings_name'  => $settings_name,
				'settings_value' => $settings_value,
				'settings_inf'   => 'anniversary_panel'
			];

			dbquery_insert(DB_SETTINGS_INF, $db, 'update', ['primary_key' => 'settings_name']);
		}

		addNotice('success', $locale['anniversary_notice']);
		redirect(FUSION_REQUEST);
	}
}

opentable($locale['anniversary_title']);
echo openform('anniversary_settings', 'post', FUSION_REQUEST);
echo "<table>";
//-1
echo "<tr>";
echo "<td>";
echo form_colorpicker('color_dzienu', $locale['uwww_200'], $settings['color_dzienu'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('bordercolor_tableu', $locale['uwww_700'], $settings['bordercolor_tableu'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('color_textu', $locale['uwww_400'], $settings['color_textu'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('color_textuna', $locale['uwww_1100'], $settings['color_textuna'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "</tr>";
//-2
echo "<tr>";
echo "<td>";
echo form_text('size_dzienu', $locale['uwww_300'], $settings['size_dzienu'], [
	'max_length'  => 2,
	'number_min'  => 10,
	'number_max'  => 30,
	'inner_width' => '60px',
	'type'        => 'number',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_text('border_tableu', $locale['uwww_600'], $settings['border_tableu'], [
	'max_length'  => 1,
	'number_min'  => 0,
	'number_max'  => 5,
	'inner_width' => '60px',
	'type'        => 'number',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_text('size_textu', $locale['uwww_500'], $settings['size_textu'], [
	'max_length'  => 2,
	'number_min'  => 10,
	'number_max'  => 30,
	'inner_width' => '60px',
	'type'        => 'number',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_text('size_textuna', $locale['uwww_1110'], $settings['size_textuna'], [
	'max_length'  => 2,
	'number_min'  => 10,
	'number_max'  => 30,
	'inner_width' => '60px',
	'type'        => 'number',
	'inline'      => false
]);
echo "</td>";
echo "</tr>";
//-3
echo "<tr>";
echo "<td>";
echo form_colorpicker('color_tableu', $locale['uwww_100'], $settings['color_tableu'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('color_textucd', $locale['uwww_410'], $settings['color_textucd'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_text('size_textucd', $locale['uwww_510'], $settings['size_textucd'], [
	'max_length'  => 2,
	'number_min'  => 10,
	'number_max'  => 30,
	'inner_width' => '60px',
	'type'        => 'number',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_text('tresc_textuna', $locale['uwww_1120'], $settings['tresc_textuna'], [
	'max_length'  => 20,
	'inner_width' => '200px',
	'type'        => 'text',
	'placeholder' => $locale['anniversary_title'],
	'inline'      => false
]);
echo "</td>";
echo "</tr>";
//-4
echo "<tr>";
echo "<td>";
echo form_text('datau_rok', $locale['uwww_800'], $settings['datau_rok'], [
	'max_length'  => 4,
	'number_min'  => 1990,
	'number_max'  => gmDate('Y'),
	'inner_width' => '100px',
	'type'        => 'number',
	'inline'      => false,
]);
echo "</td>";
echo "<td>";
echo form_text('datau_miesiac', $locale['uwww_810'], $settings['datau_miesiac'], [
	'max_length'  => 2,
	'number_min'  => 1,
	'number_max'  => gmDate('m'),
	'inner_width' => '80px',
	'type'        => 'number',
	'inline'      => false,
]);
echo "</td>";
echo "<td>";
echo form_text('datau_dzien', $locale['uwww_820'], $settings['datau_dzien'], [
	'max_length'  => 2,
	'number_min'  => 1,
	'number_max'  => 31,
	'inner_width' => '80px',
	'type'        => 'number',
	'inline'      => false,
]);
echo "</td>";
echo "<td>";
echo form_text('tresc_textu1', $locale['uwww_1130'], $settings['tresc_textu1'], [
	'max_length'  => 20,
	'inner_width' => '200px',
	'type'        => 'text',
	'placeholder' => $locale['uwww_10'],
	'inline'      => false
]);
echo "</td>";
echo "</tr>";
//-5
echo "<tr>";
echo "<td>";

echo "</td>";
echo "<td>";

echo "</td>";
echo "<td>";
$icon = "<img src='" . INFUSIONS . "anniversary_panel/anniversary.svg'>";
echo form_text('size_tort', $locale['uwww_1150'], $settings['size_tort'], [
	'max_length'  => 3,
	'number_min'  => 30,
	'number_max'  => 150,
	'inner_width' => '80px',
	'type'        => 'number',
	'label_icon'  => $icon,
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_text('tresc_textu2', $locale['uwww_1140'], $settings['tresc_textu2'], [
	'max_length'  => 20,
	'inner_width' => '200px',
	'type'        => 'text',
	'placeholder' => $locale['uwww_30'],
	'inline'      => false
]);
echo "</td>";
echo "</tr>";
//-koniec
echo "<tr>";
echo "<td colspan='3' width='80%'>";
echo "";
echo "</td>";
echo "</tr>";
echo "</table>";
echo form_button('save_settings', $locale['save'], $locale['save'], ['class' => 'btn-success', 'icon' => 'fa fa-hdd-o']);
echo closeform();
closetable();

require_once THEMES . 'templates/footer.php';
