<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Adi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$locale = fusion_get_locale('', UWWW_LOCALE);

// Infusion general information
$inf_title       = $locale['anniversary_title'];
$inf_description = $locale['anniversary_desc'];
$inf_version     = '1.0';
$inf_email       = '';
$inf_weburl      = 'https://www.php-fusion.pl';
$inf_developer   = 'Adi - PHP Fusion Polska';
$inf_folder      = 'anniversary_panel';
$inf_image       = 'anniversary.svg';

// Insert panel
$inf_insertdbrow[] = DB_PANELS . " (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES ('" . $inf_title . "', '" . $inf_folder . "', '', '2', '1', 'file', '0', '1', '1', '', '3', '" . fusion_get_settings('enabled_languages') . "')";

// Insert settings
$settings = [
    'color_tableu'       => '#ffffff',
    'bordercolor_tableu' => '#000000',
    'border_tableu'      => '1',
    'color_dzienu'       => '#000000',
    'size_dzienu'        => '18',
    'color_textu'        => '#000000',
    'size_textu'         => '12',
    'color_textucd'      => '#000000',
    'size_textucd'       => '20',
    'color_textuna'      => '#000000',
    'size_textuna'       => '16',
    'size_tort'          => '30',
    'tresc_textuna' => $locale['anniversary_title'],
    'tresc_textu1'  => $locale['uwww_10'],
    'tresc_textu2'  => $locale['uwww_30'],
    'datau_rok'     => gmDate('Y'),
    'datau_miesiac' => gmDate('m'),
    'datau_dzien'   => gmDate('d'),
];

foreach ($settings as $name => $value) {
    $inf_insertdbrow[] = DB_SETTINGS_INF . " (settings_name, settings_value, settings_inf) VALUES ('" . $name . "', '" . $value . "', '" . $inf_folder . "')";
}

// Multilanguage links
$enabled_languages = makefilelist(LOCALE, '.|..', TRUE, 'folders');
if (!empty($enabled_languages)) {
    foreach ($enabled_languages as $language) {
        if (file_exists(INFUSIONS . 'anniversary_panel/locale/' . $language . '.php')) {
            include INFUSIONS . 'anniversary_panel/locale/' . $language . '.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => 'UWWW',
            'image'    => $inf_image,
            'title'    => $inf_title,
            'panel'    => 'admin.php',
            'page'     => 5,
            'language' => $language
        ];

        // Delete
        $mlt_deldbrow[$language][] = DB_ADMIN . " WHERE admin_rights='UWWW' AND admin_language='" . $language . "'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => 'UWWW',
        'image'    => $inf_image,
        'title'    => $inf_title,
        'panel'    => 'admin.php',
        'page'     => 5,
        'language' => LANGUAGE
    ];
}

// Uninstallation
$inf_deldbrow[] = DB_ADMIN . " WHERE admin_rights='UWWW'";
$inf_deldbrow[] = DB_PANELS . " WHERE panel_filename='" . $inf_folder . "'";
$inf_deldbrow[] = DB_SETTINGS_INF . " WHERE settings_inf='" . $inf_folder . "'";
